/**
 * 第三方调用者发送事件格式
 */
export type ReceiveEventData =
  | {
    MessageId: 'OPEN_FILE'
    Values: Blob | File
  }
  | {
    MessageId: 'ACTION_SAVE'
    Values?: null
  }
  | {
    MessageId: never
    Values?: never
  }

/**
 * 浏览器主动回调第三方
 */
export type CallbackEventData =
  | {
    Action: 'SAVE'
    Values?: never
  }
